<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가
$colspan = 5;
//if ($is_category) $colspan++;
if ($is_checkbox) $colspan++;
if ($is_good) $colspan++;
if ($is_nogood) $colspan++;
?>
<link rel="stylesheet" href="<?=$board_skin_path?>/board.css" type="text/css">

<!-- 상단 -->
<div class="board_top">
  <div style="float:right;margin-right:5px;">
    <? if ($rss_href) { ?><a href='<?=$rss_href?>'><img src='<?=$board_skin_path?>/img/btn_rss.gif' border='0' align="absmiddle"></a><?}?>
    <? if ($admin_href) { ?><a href="<?=$admin_href?>"><img src="<?=$board_skin_path?>/img/btn_admin.gif" border='0' title="관리자" align="absmiddle"></a><?}?>
  </div>
  <div style="clear:both;"></div>
</div>
<!-- //상단 -->

<!-- 목록 -->
<form name="fboardlist" method="post">
<input type='hidden' name='bo_table' value='<?=$bo_table?>'>
<input type='hidden' name='sfl'  value='<?=$sfl?>'>
<input type='hidden' name='stx'  value='<?=$stx?>'>
<input type='hidden' name='spt'  value='<?=$spt?>'>
<input type='hidden' name='page' value='<?=$page?>'>
<input type='hidden' name='sw'   value=''>

<table width=100% cellpadding=0 cellspacing=0>

<? for ($i=0; $i<count($list); $i++) { ?>
<tr>
    <? if ($is_checkbox) { ?><td><input type=checkbox name=chk_wr_id[] value="<?=$list[$i][wr_id]?>"><? } ?>
	<? if ($is_checkbox) { echo "&nbsp;&nbsp;<a href=\"../bbs/write.php?w=u&bo_table=$bo_table&wr_id={$list[$i][wr_id]}\" class='btn_sml'><span>선택수정</span></a></td> "; } ?>
</tr>
<tr height=28 align=center> 
    <td align=left style='word-break:break-all;'><?=$list[$i][wr_content]?></td>
</tr>
<?}?>
<? if (count($list) == 0) { echo "<tr><td colspan='$colspan' height=100 align=center>"?><BR><BR><img src="<?=$board_skin_path?>/img/page_ing.png"  border="0" align="absmiddle"><?php echo "</td></tr>"; } ?>
<tr>
</table>

</form>
<!-- //목록 -->

<!-- UI Object -->
<div class="btn_both">
  <div class="fl">
    <? if ($write_href) { ?><a href="<?=$write_href?>" class="btn_big"><strong>글쓰기</strong></a><? } ?>
    <? if ($list_href) { ?><a href="<?=$list_href?>" class="btn_big"><span>리스트</span></a><? } ?>
  </div>
  <div class="fr">
    <? if ($is_checkbox) { ?>
    <a href="javascript:select_delete();" class="btn_sml"><span>삭제</span></a>
    <a href="javascript:select_copy('copy');" class="btn_sml"><span>복사</span></a>
    <a href="javascript:select_copy('move');" class="btn_sml"><span>이동</span></a>
    <? } ?>
  </div>
</div>
<!-- //UI Object -->


<? if ($is_checkbox) { ?>
<script type="text/javascript">
function all_checked(sw) {
    var f = document.fboardlist;
    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]")
            f.elements[i].checked = sw;
    }
}
function check_confirm(str) {
    var f = document.fboardlist;
    var chk_count = 0;
    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]" && f.elements[i].checked)
            chk_count++;
    }
    if (!chk_count) {
        alert(str + "할 게시물을 하나 이상 선택하세요.");
        return false;
    }
    return true;
}
// 선택한 게시물 삭제
function select_delete() {
    var f = document.fboardlist;
    str = "삭제";
    if (!check_confirm(str))
        return;
    if (!confirm("선택한 게시물을 정말 "+str+" 하시겠습니까?\n\n한번 "+str+"한 자료는 복구할 수 없습니다"))
        return;
    f.action = "./delete_all.php";
    f.submit();
}
// 선택한 게시물 복사 및 이동
function select_copy(sw) {
    var f = document.fboardlist;
    if (sw == "copy")
        str = "복사";
    else
        str = "이동";

    if (!check_confirm(str))
        return;
    var sub_win = window.open("", "move", "left=50, top=50, width=500, height=550, scrollbars=1");
    f.sw.value = sw;
    f.target = "move";
    f.action = "./move.php";
    f.submit();
}
</script>
<? } ?>